Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Protected Attributes
tlp::CSVGraphImport Class Reference

Manage all the CSV import process. Use the mapping object to find the graph element in function of the row and the propertiesManager to find the property corresponding to the column. The import parameters are used to filter the rows and the columns to import. More...

`#include <CSVGraphImport.h>`

Inheritance diagram for tlp::CSVGraphImport:
[legend]
Collaboration diagram for tlp::CSVGraphImport:
[legend]

List of all members.

## Public Member Functions

- CSVGraphImport (CSVToGraphDataMapping *mapping, CSVImportColumnToGraphPropertyMapping *propertiesManager, const CSVImportParameters &importParameters)
- virtual ~CSVGraphImport ()
- void begin ()
- void line (unsigned int row, const std::vector< std::string > &lineTokens)
- void end (unsigned int rowNumber, unsigned int columnNumber)

## Protected Attributes

- CSVToGraphDataMapping * mapping
- CSVImportColumnToGraphPropertyMapping * propertiesManager
- CSVImportParameters importParameters

## Detailed Description

Manage all the CSV import process. Use the mapping object to find the graph element in function of the row and the propertiesManager to find the property corresponding to the column. The import parameters are used to filter the rows and the columns to import.

## Constructor & Destructor Documentation

tlp::CSVGraphImport::CSVGraphImport | ( | CSVToGraphDataMapping * | mapping,
|  | CSVImportColumnToGraphPropertyMapping * | propertiesManager,
|  | const CSVImportParameters & | importParameters
| ) |  |

virtual tlp::CSVGraphImport::~CSVGraphImport | ( |  | ) | `[virtual]`

## Member Function Documentation

void tlp::CSVGraphImport::begin | ( |  | ) | `[virtual]`

Function called at the beginning of the file parsing.

Implements tlp::CSVContentHandler.

void tlp::CSVGraphImport::end | ( | unsigned int | rowNumber,
|  | unsigned int | columnNumber
| ) |  | `[virtual]`

Function called at the end of the parsing.

Parameters:

  rowNumber | the number of row read in the file.
  columnNumber | The column number for the line with the greatest column number.

Implements tlp::CSVContentHandler.

void tlp::CSVGraphImport::line | ( | unsigned int | row,
|  | const std::vector< std::string > & | lineTokens
| ) |  | `[virtual]`

Function called for each line in the file.

Parameters:

  row | The number of the row.
  lineTokens | The tokens.

Implements tlp::CSVContentHandler.

## Member Data Documentation

CSVImportParameters tlp::CSVGraphImport::importParameters`[protected]`

CSVToGraphDataMapping* tlp::CSVGraphImport::mapping`[protected]`

CSVImportColumnToGraphPropertyMapping* tlp::CSVGraphImport::propertiesManager`[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2012